API Reference
Recruitment
7 endpoints· Auth: JWT or API Key
get
/api/v1/console/hr/candidates JWT API KeyGet candidates
Query parameters
| JobOpeningId string (uuid) | — |
| Stage string | — |
| Page integer (int32) | — |
| PerPage integer (int32) | — |
| Search string | — |
| Skip integer (int32) | — |
| Sort string | — |
| Dir string | — |
Responses
200Success
cURL
curl -X GET "https://staging-api.panoptesos.com/api/v1/console/hr/candidates" \
-H "X-Api-Key: <YOUR_API_KEY>" Try itagainst staging · https://staging-api.panoptesos.com
Query parameters
Set credentials in the “Authorize” menu
post
/api/v1/console/hr/candidates JWT API KeyCreate candidates
Request body
application/json
{
"jobOpeningId": "00000000-0000-0000-0000-000000000000",
"fullName": "string",
"phone": "string",
"email": "string",
"cvUrl": "string",
"stage": "string",
"interviewAt": "2026-09-30T18:07:54.085Z",
"rating": 0,
"note": "string"
}| jobOpeningId string (uuid) | — |
| fullName string | — |
| phone string | — |
| email string | — |
| cvUrl string | — |
| stage string | — |
| interviewAt string (date-time) | — |
| rating integer (int32) | — |
| note string | — |
Responses
200Success
cURL
curl -X POST "https://staging-api.panoptesos.com/api/v1/console/hr/candidates" \
-H "Content-Type: application/json" \
-H "X-Api-Key: <YOUR_API_KEY>" \
-d '{
"jobOpeningId": "00000000-0000-0000-0000-000000000000",
"fullName": "string",
"phone": "string",
"email": "string",
"cvUrl": "string",
"stage": "string",
"interviewAt": "2026-09-30T18:07:54.085Z",
"rating": 0,
"note": "string"
}' Try itagainst staging · https://staging-api.panoptesos.com
Request body (JSON)
Set credentials in the “Authorize” menu
post
/api/v1/console/hr/candidates/{id}/hire JWT API KeyCreate hire
Path parameters
| idrequired string (uuid) | — |
Request body
application/json
{
"departmentId": "00000000-0000-0000-0000-000000000000",
"positionId": "00000000-0000-0000-0000-000000000000",
"hireDate": "2026-09-30"
}| departmentId string (uuid) | — |
| positionId string (uuid) | — |
| hireDate string (date) | — |
Responses
200Success
cURL
curl -X POST "https://staging-api.panoptesos.com/api/v1/console/hr/candidates/{id}/hire" \
-H "Content-Type: application/json" \
-H "X-Api-Key: <YOUR_API_KEY>" \
-d '{
"departmentId": "00000000-0000-0000-0000-000000000000",
"positionId": "00000000-0000-0000-0000-000000000000",
"hireDate": "2026-09-30"
}' Try itagainst staging · https://staging-api.panoptesos.com
Path parameters
Request body (JSON)
Set credentials in the “Authorize” menu
post
/api/v1/console/hr/candidates/{id}/stage JWT API KeyCreate stage
Path parameters
| idrequired string (uuid) | — |
Request body
application/json
{
"stage": "string",
"interviewAt": "2026-09-30T18:07:54.086Z",
"rating": 0,
"note": "string"
}| stage string | — |
| interviewAt string (date-time) | — |
| rating integer (int32) | — |
| note string | — |
Responses
200Success
cURL
curl -X POST "https://staging-api.panoptesos.com/api/v1/console/hr/candidates/{id}/stage" \
-H "Content-Type: application/json" \
-H "X-Api-Key: <YOUR_API_KEY>" \
-d '{
"stage": "string",
"interviewAt": "2026-09-30T18:07:54.086Z",
"rating": 0,
"note": "string"
}' Try itagainst staging · https://staging-api.panoptesos.com
Path parameters
Request body (JSON)
Set credentials in the “Authorize” menu
get
/api/v1/console/hr/job-openings JWT API KeyGet job-openings
Query parameters
| Status string | — |
| DepartmentId string (uuid) | — |
| Page integer (int32) | — |
| PerPage integer (int32) | — |
| Search string | — |
| Skip integer (int32) | — |
| Sort string | — |
| Dir string | — |
Responses
200Success
cURL
curl -X GET "https://staging-api.panoptesos.com/api/v1/console/hr/job-openings" \
-H "X-Api-Key: <YOUR_API_KEY>" Try itagainst staging · https://staging-api.panoptesos.com
Query parameters
Set credentials in the “Authorize” menu
post
/api/v1/console/hr/job-openings JWT API KeyCreate job-openings
Request body
application/json
{
"title": "string",
"departmentId": "00000000-0000-0000-0000-000000000000",
"description": "string"
}| title string | — |
| departmentId string (uuid) | — |
| description string | — |
Responses
200Success
cURL
curl -X POST "https://staging-api.panoptesos.com/api/v1/console/hr/job-openings" \
-H "Content-Type: application/json" \
-H "X-Api-Key: <YOUR_API_KEY>" \
-d '{
"title": "string",
"departmentId": "00000000-0000-0000-0000-000000000000",
"description": "string"
}' Try itagainst staging · https://staging-api.panoptesos.com
Request body (JSON)
Set credentials in the “Authorize” menu
post
/api/v1/console/hr/job-openings/{id}/status JWT API KeyCreate status
Path parameters
| idrequired string (uuid) | — |
Request body
application/json
{
"status": "string"
}| status string | — |
Responses
200Success
cURL
curl -X POST "https://staging-api.panoptesos.com/api/v1/console/hr/job-openings/{id}/status" \
-H "Content-Type: application/json" \
-H "X-Api-Key: <YOUR_API_KEY>" \
-d '{
"status": "string"
}' Try itagainst staging · https://staging-api.panoptesos.com
Path parameters
Request body (JSON)
Set credentials in the “Authorize” menu